Cannot Access Settings In Cloudflare Plugin

Hello, I have just installed activated the CF plugin. Although CF now works, I cannot access the settings in the CF plugin. It reluctantly accepted my user name and API…at least I believe it has. I tried deactivating and reactivating the plugin and still the same problem. Never happened on any other site. Here is a screenshot of what is happening:

The site is functional and everything works thank goodness. Just cannot change the plugin settings. Any ideas please? Thanks!

You can try opening that page with Developer Tools on (F12 on Chrome/Windows), then check any errors it reveals.

Thanks we will try

will CF work without plugin?

Cloudflare will work fine without the plugin, I have it on a WordPress site that doesn’t have the plugin installed.

It just does a

one-click installation of settings specifically developed for the WordPress platform

2 Likes

Cheers!

1 Like

Yes, it will.

The plugin adds some nice functionalities, but it’s not essential.

The only function it has that may be helpful in the beginning is to prevent a redirect loop. If you uninstall it and there are no redirect loops, perhaps the best course of action would be to later read the documentation to see if its other benefits would make any difference in your case.

1 Like

Thanks but why do you think it is that it will not accept my credentials? It just hangs and does not submit and then the site goes down. The plugin has not been tested with the new WP version apparently.

It’s hard to know, there are many issues that could cause this. That’s why I suggested you checked your page with Dev Tools open. If it doesn’t yield any meaningful information, you may need to check your origin server logs as well as your Cloudflare Firewall Events log to see if something is being blocked.

As for the WP version, I wouldn’t worry about that. My websites have been updated to the last version and the plugin works normally.

I have many other web sites with the CF plugin installed and I
checked a couple. They are OK.

  This was a fresh install. Apparently there are warnings on WP

site that the plugin can cause issues.

  "This plugin hasn’t been tested with the latest 3 major releases

of WordPress. It may no longer be maintained or supported and may
have compatibility issues when used with more recent versions of
WordPress."

This topic was automatically closed after 14 days. New replies are no longer allowed.